package molders

// |@@| C

import (
	"gardening/src/dat/forms"
	"gardening/src/mdl"
)

type CreateGardenFormMolder struct {
}

func (this *CreateGardenFormMolder) ToEntity(form *forms.CreateGardenForm, entity *mdl.Garden) (*mdl.Garden, []string) {
	var changes []string
	entity.Name = form.Name
	entity.Picture = form.Picture
	return entity, changes
}
func (this *CreateGardenFormMolder) ToForm(form *forms.CreateGardenForm, entity *mdl.Garden) *forms.CreateGardenForm {
	form.Name = entity.Name
	form.Picture = entity.Picture
	return form
}
